Skip to main content
GET
/
account
Look up account by EOA
curl --request GET \
  --url https://api.portal.blend.money/sdk/account \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Publishable-Key: <api-key>'
{
  "status": "success",
  "data": {
    "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "safeAddress": "0x1111111111111111111111111111111111111111",
    "chainsDeployed": [
      8453
    ],
    "userAddress": "0x1111111111111111111111111111111111111111"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.blend.money/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Publishable-Key
string
header
required

Client-safe Account Type key, for example pk_live_....

Authorization
string
header
required

SIWE session token returned by /auth/verify.

Query Parameters

address
string
required
Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0x1111111111111111111111111111111111111111"

Response

Account found or created

status
enum<string>
required
Available options:
success
data
object
Last modified on May 4, 2026